/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {FloorFlyWeightResponse} from "./floorFlyWeightResponse";
import {MinimalFloorPlanResponse} from "./minimalFloorPlanResponse";

export class FloorResponse {
    public info: FloorFlyWeightResponse;

    public latestFloorPlan: MinimalFloorPlanResponse;

    public floorPlans: MinimalFloorPlanResponse[];

    /**
     * Creates a FloorResponse.
     *
     * @param {FloorFlyWeightResponse} info
     * @param {MinimalFloorPlanResponse} latestFloorPlan
     * @param {MinimalFloorPlanResponse} floorPlans
     */
    constructor(info: FloorFlyWeightResponse, latestFloorPlan: MinimalFloorPlanResponse, floorPlans: MinimalFloorPlanResponse[]) {
        this.info = info;
        this.latestFloorPlan = latestFloorPlan;
        this.floorPlans = floorPlans;
    }
}